import App from './App';

// Api函数polyfill（目前为实验版本，如不需要，可删除！）';
import Polyfill from './polyfill/polyfill';
// import customTabBar from './custom-tab-bar/index.vue';
Polyfill.init();

// 全局mixins，用于实现setData等功能，请勿删除！';
import Mixin from './polyfill/mixins';
import messages from './locale/index'
import uView from "uview-ui";

Vue.use(uView);

let i18nConfig = {
	 locale: "zh",
	//locale: uni.getLocale(),
	messages 
}

// #ifndef VUE3
import Vue from 'vue';

Vue.mixin(Mixin);
import VueI18n from 'vue-i18n'
Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)
Vue.config.productionTip = false;
App.mpType = 'app';
const app = new Vue({
	i18n,
    ...App
});
app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
import {
	createI18n
} from 'vue-i18n'
const i18n = createI18n(i18nConfig)
export function createApp() {
    const app = createSSRApp(App);
	app.use(i18n)
    app.mixin(Mixin);
    return {
        app
    };
}
// #endif
